Skip to content

Export audit trail

GET
/api/v1/audit/export

Export the tenant’s full audit trail as JSON or CSV. Optionally filter by date range.

Authorizations

Parameters

Query Parameters

format

Export format: json or csv

string
default: json

Export format: json or csv

agent_role

Filter by agent role

string
""

Filter by agent role

action_type

Filter by action type

string
""

Filter by action type

limit

Maximum entries to export

integer
default: 1000 >= 1 <= 10000

Maximum entries to export

Responses

200

Successful Response

Response for JSON audit trail export.

object
count
required
integer
entries
required
Array<object>
object
key
additional properties
any

422

Validation Error

object
detail
Array<object>
object
ctx
object
input
loc
required
Array
msg
required
string
type
required
string